clear all, close all

load data_optim2 % It loads vectors u, y, h, f

figure, subplot(221), plot(tbn,y1,'-'), title('Pulp k-quality output'), xlabel('Time (hours)'), ylabel('y')
        subplot(222), plot(tbn,ur,'-'), title('Pulp k-quality input'), xlabel('Time (hours)'), ylabel('u')
        subplot(223), plot(tbn,fr,'-'), title('Pulp Input Flow'), xlabel('Time (hours)'), ylabel('f')
        subplot(224), plot(tbn,hr,'-'), title('Vessel Pulp Level'), xlabel('Time (hours)'), ylabel('h')

lam_opt = 0.99;        
        
[THM,y1hat_optim] = rarx([y1 u1],[n_optim [n_optim n_optim n_optim] [nk_optim nk_optim nk_optim]],'ff',lam_opt);

eps_err = y1 - y1hat_optim;

figure, plot(tbn,y1,'-',tbn,y1hat_optim,'--'), title('Measured (-) and estimated (--) pulp k-quality output'), 
        xlabel('Time (hours)'), ylabel('y(t)')
        
figure, plot(tbn,y1,'-',tbn,y1hat_optim,'--',tbn,y1-y1hat_optim,':'), 
        title(sprintf('Measured (-), estimated (--) pulp k-quality output & estimation error (:). J = %0.5g',...
                      eps_err'*eps_err/N)) 
        xlabel(sprintf('Time (hours). RARX with n_a = n_b = %d. n_k = %d. ff = %0.2f. SampTime = %d (min). N = %d',...
                        n_optim,nk_optim,lam_opt,Tsr/60,N)) 
        ylabel('y(t) & e(t)')
        
return
